Documentation

telegram package

The telegram package is a user-contributed package maintained by the package author.

The telegram package provides functions for sending messages to Telegram using the Telegram Bot API. Import the contrib/sranka/telegram package:

import "contrib/sranka/telegram"

Set up a Telegram bot

The Telegram Bot API requires a bot token and a channel ID. To set up a Telegram bot and obtain the required bot token and channel ID:

  1. Create a new Telegram account or use an existing account.

  2. Create a Telegram bot. Telegram provides a bot token for the newly created bot.

  3. Use the Telegram application to create a new channel.

  4. Add the new bot to the channel as an Administrator. Ensure the bot has permissions necessary to post messages.

  5. Send a message to bot in the channel.

  6. Send a request to https://api.telegram.org/bot$token/getUpdates.

    curl https://api.telegram.org/bot$token/getUpdates

    Find your channel ID in the id field of the response.

Options

option telegram.defaultDisableWebPagePreview = false

option telegram.defaultParseMode = "MarkdownV2"

option telegram.defaultSilent = true

option telegram.defaultURL = "https://api.telegram.org/bot"

defaultDisableWebPagePreview

defaultDisableWebPagePreview - Use Telegram web page preview by default. Default is false.

defaultParseMode

defaultParseMode is the default Telegram parse mode. Default is MarkdownV2.

defaultSilent

defaultSilent - Send silent Telegram notifications by default. Default is true.

defaultURL

defaultURL is the default Telegram bot URL. Default is https://api.telegram.org/bot.

Functions


Was this page helpful?

Thank you for your feedback!


Telegraf Enterprise now in public beta

Get early access to the Telegraf Controller and provide feedback to help shape the future of Telegraf Enterprise.

See the Blog Post

The upcoming Telegraf Enterprise offering is for organizations running Telegraf at scale and is comprised of two key components:

  • Telegraf Controller: A control plane (UI + API) that centralizes Telegraf configuration management and agent health visibility.
  • Telegraf Enterprise Support: Official support for Telegraf Controller and Telegraf plugins.

Join the Telegraf Enterprise beta to get early access to the Telegraf Controller and provide feedback to help shape the future of Telegraf Enterprise.

For more information:

InfluxDB Docker latest tag changing to InfluxDB 3 Core

On May 27, 2026, the latest tag for InfluxDB Docker images will point to InfluxDB 3 Core. To avoid unexpected upgrades, use specific version tags in your Docker deployments.

If using Docker to install and run InfluxDB, the latest tag will point to InfluxDB 3 Core. To avoid unexpected upgrades, use specific version tags in your Docker deployments. For example, if using Docker to run InfluxDB v2, replace the latest version tag with a specific version tag in your Docker pull command–for example:

docker pull influxdb:2